Tag: maven

Alojamiento de artefactos Gradle en GitHub

Sé que la gente usa GitHub para desplegar artefactos de Maven (en una nueva rama), pero como estamos usando Gradle, me gustaría saber si hay una forma sencilla de manejar esas dependencias también. Tenemos diferentes pequeños proyectos que son independientes, pero utilizados por nuestro proyecto principal y queremos gestionar esas dependencias sin incluirlas localmente. Gracias.

Incluye la dependencia del repositorio local de Maven en Android Studio Gradle

Creo que soy estúpido o estoy perdiendo algo – espero esto último – pero no puedo importar adecuadamente una dependencia. Tengo el repositorio en ~ / .m2 / repository y dentro del directorio puedo ver el deploy. El maven setting.xml tiene la <localRepository>${user.home}/.m2/repository</localRepository> Aquí está el archivo gradle: dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) […]

play-services-base versus -basement dependances (AAR) en Android

Encontré un archivo xml GoogleDependencyFlurryPlugin.xml <dependencies> <dependency><groupId>com.google.android.gms</groupId><artifactId>play-services-base</artifactId><version>8.4+</version></dependency> <dependency><groupId>com.google.android.gms</groupId><artifactId>play-services-basement</artifactId><version>8.4+</version></dependency> </dependencies> y de hecho un archivo xml GoogleDependencyPlayGameServicesPlugin.xml <dependencies> <dependency><groupId>com.google.android.gms</groupId><artifactId>play-services-games</artifactId><version>8.4+</version></dependency> <dependency><groupId>com.google.android.gms</groupId><artifactId>play-services-plus</artifactId><version>8.4+</version></dependency> </dependencies> Ahora, en un punto el archivo anterior tenía SOLAMENTE play-services-base> OR <juegos-servicios-sótano y que parecía causar un gran problema. AndroidJavaException: java.lang.NoSuchMethodError: una vez en ejecución en un dispositivo. Expertos de Android, ¿es el caso de […]

'Peer Not Authenticated', certificado SSL de parse.com caducado

Estoy corrientemente luchando con un 'Peer Not Authenticated' tema mientras gradling en Android Studio. Cuando intento limpiar mi proyecto, AS me dice que el problema viene de https://maven.parse.com/repo/com/parse/tools/gradle/maven-metadata.xml Con un navegador de Internet, veo que el certificado SSL de * .parse.com ha expirado el jueves 26 … Ya he intentado reemplazar los 'https' por 'http' […]

update android-query maven biblioteca dependencia

Actualmente la última versión proporcionada en el código de google es 0.26.7 https://code.google.com/p/android-query/downloads/list Pero el frasco en el repositorio de maven todavía está en 0.25.9, que es más que hace un año. http://mvnrepository.com/artifact/com.googlecode.android-query/android-query ¿Existe alguna manera para que el público actualice la biblioteca?

Maven release: perform no reconoce los parámetros de keystore

He generado mi proyecto usando el arquetipo android-release . En su documentación se indica para agregar el perfil de android-release dentro del archivo settings.xml . Mi ~/.m2/settings.xml ve así: <settings xmlns="http://maven.apache.org/SETTINGS/1.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd"> <profiles> <profile> <id>android-release</id> <properties> <sign.keystore>absolute path</sign.keystore> <sign.alias>my_alias</sign.alias> <sign.storepass>pass</sign.storepass> <sign.keypass>pass</sign.keypass> </properties> </profile> </profiles> </settings> Mi archivo padre pom.xml es casi el mismo […]

Suprimir advertencia de pelusa en el nivel de vista

Estoy consiguiendo el error siguiente de la pelusa: InconsistentLayout . A veces esto se espera, ya que la tableta y el diseño del teléfono difieren. Es por eso que las últimas frases de la advertencia pelusa: Hay casos en que esto es intencional. Por ejemplo, puede que tenga un diseño de tableta grande dedicado que […]

Android Studio gradle sync no pudo encontrar la biblioteca

Así que estoy trabajando en el proyecto en AndroidStudio 0.8.1 beta y quiero hacer uso de una biblioteca que encontré en github ( https://github.com/derekbrameyer/android-betterpickers ). Añado la dependencia como dice dentro del archivo README.md pero cuando intento sincronizar el proyecto con los archivos gradle dice: No se pudo encontrar: com.doomonafireball.betterpickers: library: 1.5.2 Aquí está mi […]

Error de compilación Droid-Fu

Estoy intentando construir Droid-Fu según lo especificado en la página de GitHub pero la estructura está fallando. Aquí está el mensaje que recibí después de ejecutar mvn paquete dentro de la carpeta Droid-Fu [INFO] artifact junit:junit: checking for updates from central Downloading: http://powermock.googlecode.com/svn/repo//com/google/android/maps/maps/9_r1/maps-9_r1.jar [INFO] Unable to find resource 'com.google.android.maps:maps:jar:9_r1' in repository powermock-repo (http://powermock.googlecode.com/svn/repo/) Downloading: http://repo1.maven.org/maven2/com/google/android/maps/maps/9_r1/maps-9_r1.jar […]

Android Studio 1.0.2 m2responsory gradle issue

Utilizando Android Studio 1.0.2, y se ve obligado a utilizar Gradle 2.2.1, todas las variables del sistema son correctas. Con la nueva actualización hay problemas con versiones anteriores de gradle y m2repository. Estoy intentando importar el ejemplo de kickflip.io android ( https://github.com/Kickflip/kickflip-android-example ). Estoy viendo este error: Could not find com.android.tools.build:gradle:2.2.1. Searched in the following […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.